## org.hibernate.annotations
Annotation Type JoinFormula

    @Target(value={METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface JoinFormula

JoinFormula. To be used as a replacement for @JoinColumn in most places The formula has to be a valid SQL fragment

Author:
  Sharath Reddy

Required Element Summary
`String` `value`

Optional Element Summary
`String` `referencedColumnName`

Element Detail

### value

    public abstract String value

### referencedColumnName

    public abstract String referencedColumnName

  Default:
    ""

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.